package com.bonus.face.mapper;

import com.bonus.face.domain.FaceGroupsEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author bonus
 * @date 2024-12-06
 */

public interface FaceGroupsMapper {
    /**
     * 查询【请填写功能名称】
     *
     * @param groupId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public FaceGroupsEntity selectFaceGroupsByGroupId(Long groupId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param faceGroups 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<FaceGroupsEntity> selectFaceGroupsList(FaceGroupsEntity faceGroups);

    /**
     * 新增【请填写功能名称】
     *
     * @param faceGroups 【请填写功能名称】
     * @return 结果
     */
    public int insertFaceGroups(FaceGroupsEntity faceGroups);

    /**
     * 修改【请填写功能名称】
     *
     * @param faceGroups 【请填写功能名称】
     * @return 结果
     */
    public int updateFaceGroups(FaceGroupsEntity faceGroups);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param groupIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFaceGroupsByGroupIds(Long[] groupIds);


    public int deleteFaceDataByGroupCode(String groupCode);

    /**
     * 分组名称唯一校验
     *
     * @param groupName
     * @return
     */
    public int isGroupNameUnique(@Param("groupName") String groupName, @Param("groupId") Long groupId);
}
